Subject: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04

From: Daniele Ceccarelli <[email-masked]>
Date: Mon, 7 Mar 2016 15:06:22 +0000

Working group,

We have the IPR declaration replies from all the authors (thanks!) and we can start the adoption procedure for our first YANG draft.

This starts a two weeks poll on making draft-lee-ccamp-wson-yang-04 a CCAMP working group document.

Please send email to the list indicating "yes/support" or "no/do not support" and a motivation for  your reply, mandatory for the "not support" and nice to have for the "support".

Please note that the IPR declarations can be found in the document history (https://datatracker.ietf.org/doc/draft-lee-ccamp-wson-yang/history/) and that no IPR was disclosed against this document.

The polling will end on Monday March 21st.

Thanks
Daniele & Fatai

---

From: Leeyoung <[email-masked]>
Date: Mon, 7 Mar 2016 21:39:26 +0000

Yes, support.

Young (co-author)

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: Monday, March 07, 2016 9:06 AM
To: CCAMP ([email-masked])
Cc: [email-masked]
Subject: WG adoption poll on draft-lee-ccamp-wson-yang-04

Working group,

Thanks
Daniele & Fatai

---

From: Zhenghaomian <[email-masked]>
Date: Tue, 8 Mar 2016 01:46:36 +0000

Yes/Support.

发件人: CCAMP [mailto:[email-masked]] 代表 Daniele Ceccarelli
发送时间: 2016年3月7日 23:06
收件人: CCAMP ([email-masked])
抄送: [email-masked]
主题: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04

Working group,

Please send email to the list indicating “yes/support” or “no/do not support” and a motivation for  your reply, mandatory for the “not support” and nice to have for the “support”.

Thanks
Daniele & Fatai

---

From: "Zhangxian (Xian)" <[email-masked]>
Date: Tue, 8 Mar 2016 03:30:09 +0000

Yes, support.

Regards,
Xian

Sent: 2016年3月7日 23:06

Working group,

Thanks
Daniele & Fatai

---

From: VICTOR LOPEZ ALVAREZ <[email-masked]>
Date: Tue, 8 Mar 2016 06:50:17 +0000

Yes, support as co-author.

Regards,

Víctor López (Ph.D) | Telefónica Global CTO
Technology and Planning for Transport, IP and Interconnection Networks
M +34 616 185214
Distrito Telefónica - Sur 3 building, 3rd floor, Ronda de la Comunicación s/n, 28050, Madrid, Spain
email: [email-masked]

From: CCAMP on behalf of Daniele Ceccarelli
Date: Monday 7 March 2016 at 16:06
To: "CCAMP ([email-masked]<mailto:[email-masked]>)"
Cc: "[email-masked]<mailto:[email-masked]>"
Subject: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04

Working group,

Thanks
Daniele & Fatai

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 8 Mar 2016 08:29:38 +0000

Support!

Dhruv (co-author)

本邮件及其附件含有华为公司的保密信息，仅限于发送给上面地址中列出的个人或群组。禁
止任何其他人以任何形式使用（包括但不限于全部或部分地泄露、复制、或散发）本邮件中
的信息。如果您错收了本邮件，请您立即电话或邮件通知发件人并删除本邮件！
This e-mail and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

Sent: 07 March 2016 20:36

Working group,

Thanks
Daniele & Fatai

---

From: "Aihuaguo (Aihua Guo, CRC)" <[email-masked]>
Date: Tue, 8 Mar 2016 21:19:29 +0000

Yes/support.

From: CCAMP [mailto:[email-masked]] On Behalf Of Daniele Ceccarelli
Sent: Monday, March 07, 2016 10:06 AM
To: CCAMP ([email-masked])
Cc: [email-masked]
Subject: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04

Working group,

Thanks
Daniele & Fatai

---

From: 윤빈영 <[email-masked]>
Date: Thu, 10 Mar 2016 03:07:37 +0000

Yes, Support!

Bin

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: Monday, March 07, 2016 9:06 AM
To: CCAMP ([email-masked]<mailto:[email-masked]>)
Cc: [email-masked]<mailto:[email-masked]>
Subject: WG adoption poll on draft-lee-ccamp-wson-yang-04

Working group,

Thanks
Daniele & Fatai

---

From: "Yemin (Amy)" <[email-masked]>
Date: Thu, 10 Mar 2016 03:18:20 +0000

Yes/support.

Amy

Sent: Monday, March 07, 2016 11:06 PM

Working group,

Thanks
Daniele & Fatai

---

From: "Giovanni Martinelli (giomarti)" <[email-masked]>
Date: Thu, 10 Mar 2016 12:40:27 +0000

yes/support

~giovanni

On 07 Mar 2016, at 16:06, Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>> wrote:

Working group,

Thanks
Daniele & Fatai
_______________________________________________
CCAMP mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ccamp

---

From: Lou Berger <[email-masked]>
Date: Thu, 10 Mar 2016 08:50:07 -0500

Hi,
    As part of WG acceptance I think there is one important change
needed.  I think the repetition of and apparent definition of new
*information* modeling is misplaced in this document and must be fixed. 
While I'd prefer to see this change before WG adoption, i.e., in a -05
rev of the individual document, I think it's okay to have it in the -01
WG document.  With this change (or commitment to make this change) I
support WG adoption, without it I do not support WG adoption.

On to details:

The document says

>    Sections 2.1 - 2.4 rehashes key information models from [RWA-Info]
but [RWA-Info] isn't defined, but presumably means RFC7446.

>  to facilitate 
>    the development of the YANG model (Section 3).  

I think it does the opposite.  All now have to spend time going back and
forth between this document and the RFC to figure out what if anything
has change.  -- And this is at the heart of my objection as I'm not sure
if there has been any change to the *information* model from the RFC.

It's far better to simply say this document uses specific information
model elements defined in RFC7446.  (Consider if we always followed this
approach, we'd  repeat definition of OSPF,  OSPF-TE, etc. for every TE
routing extension!)

Lou

On 3/7/2016 10:06 AM, Daniele Ceccarelli wrote:
>
> Working group,
>
>  
>
> We have the IPR declaration replies from all the authors (thanks!) and
> we can start the adoption procedure for our first YANG draft.
>
>  
>
> Please send email to the list indicating “yes/support” or “no/do not
> support” and a motivation for  your reply, mandatory for the “not
> support” and nice to have for the “support”.
>
>  
>
> Please note that the IPR declarations can be found in the document
> history
> (https://datatracker.ietf.org/doc/draft-lee-ccamp-wson-yang/history/)
> and that no IPR was disclosed against this document.
>
>  
>
> The polling will end on Monday March 21^st .
>
>  
>
> Thanks
>
> Daniele & Fatai
>
>
>
> [email-masked]

---

From: Fatai Zhang <[email-masked]>
Date: Mon, 14 Mar 2016 03:36:33 +0000

Hi CCAMPers,

We have the IPR declaration replies from all the authors & contributors (thanks!) and we are going to start the WG adoption procedure for this draft.

This starts a two weeks poll on making draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk-01 a CCAMP working group document.

Please note that the IPR declarations can be found in the document history (https://datatracker.ietf.org/doc/draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk/history/) and that no IPR was disclosed against this document.

The polling will end on Monday March 28th.

Thanks

Daniele & Fatai

---

From: "Gabriele Maria Galimberti (ggalimbe)" <[email-masked]>
Date: Mon, 14 Mar 2016 07:40:59 +0000

yes/support

As co-author.

[http://www.cisco.com/swa/i/logo.gif]

Gabriele Galimberti
Principal Engineer
Cisco Photonics Srl

via S.Maria Molgora, 48 C
20871 - Vimercate (MB)
Italy
www.cisco.com/global/IT/<http://www.cisco.com/global/IT/>

[email-masked]<mailto:[email-masked]>
Phone :+39 039 2091462
Mobile :+39 335 7481947
Fax :+39 039 2092049

Co-author.

From: CCAMP <[email-masked]<mailto:[email-masked]>> on behalf of Fatai Zhang <[email-masked]<mailto:[email-masked]>>
Date: Monday, March 14, 2016 4:36 AM
To: "CCAMP ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [CCAMP] WG adoption poll on draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: <[email-masked]>
Date: Mon, 14 Mar 2016 08:22:07 +0000

Yes/support.

As author/co-author of the document.

Br,

Rüdiger Kunze

Deutsche Telekom AG
Europe & Technology / Group Technology
Rüdiger Kunze
Winterfeldtstraße 21, 10781 Berlin, Germany
Telephone: +49 30 835374206
Mobile  +49 170 2275321
Email    [email-masked]<mailto:[email-masked]>
www.telekom.com<http://www.telekom.com/>

Von: CCAMP [mailto:[email-masked]] Im Auftrag von Fatai Zhang
Gesendet: Montag, 14. März 2016 04:37
An: CCAMP ([email-masked])
Cc: [email-masked]
Betreff: [CCAMP] WG adoption poll on draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: Gert Grammel <[email-masked]>
Date: Mon, 14 Mar 2016 09:12:50 +0000

Yes/ Support

Gert

Von: CCAMP [mailto:[email-masked]] Im Auftrag von Fatai Zhang
Gesendet: Montag, 14. M?rz 2016 04:37
An: CCAMP ([email-masked]<mailto:[email-masked]>)
Cc: [email-masked]<mailto:[email-masked]>
Betreff: [CCAMP] WG adoption poll on draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Mon, 14 Mar 2016 14:48:16 +0000

Yes/ Support!

Thanks

Regards ... Zafar

From: CCAMP <[email-masked]<mailto:[email-masked]>> on behalf of Fatai Zhang <[email-masked]<mailto:[email-masked]>>
Date: Sunday, March 13, 2016 at 11:36 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [CCAMP] WG adoption poll on draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: <[email-masked]>
Date: Mon, 14 Mar 2016 16:01:44 +0000

Yes/support
(as a contributor)
Thanks,
Manuel

From: CCAMP [mailto:[email-masked]] On Behalf Of Fatai Zhang
Sent: Monday, March 14, 2016 4:37 AM
To: CCAMP ([email-masked])
Cc: [email-masked]
Subject: [CCAMP] WG adoption poll on draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: <[email-masked]>
Date: Mon, 14 Mar 2016 17:17:42 +0100

Yes/support
(as a contributor)
Thanks,
Arnold
Arnold Mattheus
Deutsche Telekom
Darmstadt, Germany
E-Mail: [email-masked]

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: Leeyoung <[email-masked]>
Date: Mon, 14 Mar 2016 16:29:38 +0000

Hi Lou,

Yes, I agree with you. It meant RFC 7446. That will be fixed in 01 version once it is officially adopted. 

Thanks.
Young

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Thursday, March 10, 2016 7:50 AM
To: Daniele Ceccarelli; CCAMP ([email-masked])
Cc: [email-masked]
Subject: Re: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04

Hi,
    As part of WG acceptance I think there is one important change needed.  I think the repetition of and apparent definition of new
*information* modeling is misplaced in this document and must be fixed. 
While I'd prefer to see this change before WG adoption, i.e., in a -05 rev of the individual document, I think it's okay to have it in the -01 WG document.  With this change (or commitment to make this change) I support WG adoption, without it I do not support WG adoption.

On to details:

The document says

>    the development of the YANG model (Section 3).  

I think it does the opposite.  All now have to spend time going back and forth between this document and the RFC to figure out what if anything has change.  -- And this is at the heart of my objection as I'm not sure if there has been any change to the *information* model from the RFC.

It's far better to simply say this document uses specific information model elements defined in RFC7446.  (Consider if we always followed this approach, we'd  repeat definition of OSPF,  OSPF-TE, etc. for every TE routing extension!)

Lou

On 3/7/2016 10:06 AM, Daniele Ceccarelli wrote:
> Please send email to the list indicating "yes/support" or "no/do not 
> support" and a motivation for  your reply, mandatory for the "not 
> support" and nice to have for the "support".
>
>  
>

---

From: Dieter Beller <[email-masked]>
Date: Mon, 14 Mar 2016 17:30:16 +0100

yes/support as co-author

Thanks,

Dieter

On 14.03.2016 04:36, EXT Fatai Zhang
wrote:

Hi
CCAMPers,

We
have the IPR declaration replies from all the authors &
contributors (thanks!) and we are going to start the WG
adoption procedure for this draft.

This
starts a two weeks poll on making
draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk-01 a CCAMP working
group document.

Please
send email to the list indicating “yes/support” or “no/do
not support” and a motivation for  your reply, mandatory for
the “not support” and nice to have for the “support”.

Please
note that the IPR declarations can be found in the document
history (https://datatracker.ietf.org/doc/draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk/history/)
and that no IPR was disclosed against this document.

The
polling will end on Monday March 28th.

Thanks

Daniele
& Fatai

---

From: Dharini Hiremagalur <[email-masked]>
Date: Mon, 14 Mar 2016 17:21:56 +0000

yes/support

________________________________
From: CCAMP <[email-masked]> on behalf of Dieter Beller <[email-masked]>
Sent: Monday, March 14, 2016 9:30 AM
To: EXT Fatai Zhang; CCAMP ([email-masked])
Cc: [email-masked]
Subject: Re: [CCAMP] WG adoption poll on draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk

yes/support as co-author

Thanks,
Dieter

On 14.03.2016 04:36, EXT Fatai Zhang wrote:

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: "Giovanni Martinelli (giomarti)" <[email-masked]>
Date: Mon, 14 Mar 2016 17:55:01 +0000

yes/support

cheers
G

On 14 Mar 2016, at 04:36, Fatai Zhang <[email-masked]<mailto:[email-masked]>> wrote:

Hi CCAMPers,

Thanks
Daniele & Fatai

---

From: "Tarek Saad (tsaad)" <[email-masked]>
Date: Mon, 14 Mar 2016 19:30:30 +0000

yes/support.

Regards,
Tarek

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: Yuji Tochio <[email-masked]>
Date: Tue, 15 Mar 2016 08:22:37 +0900

Support

Regards, Yuji

---

From: Yuji Tochio <[email-masked]>
Date: Tue, 15 Mar 2016 09:34:31 +0900

Support

Regards, Yuji

On 2016/03/14 12:36, Fatai Zhang wrote:
> Please note that the IPR declarations can be found in the document history 
> (https://datatracker.ietf.org/doc/draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk/history/) and that no IPR was disclosed against this document.
>

---

From: Ricard Vilalta <[email-masked]>
Date: Tue, 15 Mar 2016 10:26:03 +0100

Yes/support.

Regards,
Ricard Vilalta

On Tue, Mar 15, 2016 at 12:22 AM, Yuji Tochio <[email-masked]> wrote:

> We have the IPR declaration replies from all the authors (thanks!) and we
> can start the adoption procedure for our first YANG draft.
>
>
>
> support” and a motivation for  your reply, mandatory for the “not support”
> and nice to have for the “support”.
>
>
>
> ( <https://datatracker.ietf.org/doc/draft-lee-ccamp-wson-yang/history/>
> https://datatracker.ietf.org/doc/draft-lee-ccamp-wson-yang/history/) and
> that no IPR was disclosed against this document.
>
>
>
> CCAMP mailing [email-masked]://www.ietf.org/mailman/listinfo/ccamp
>
>
>

---

From: Huaimo Chen <[email-masked]>
Date: Tue, 15 Mar 2016 16:50:30 +0000

Yes/support.

Best Regards,
Huaimo

Working group,

Thanks
Daniele & Fatai

CCAMP mailing list

---

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 16 Mar 2016 10:50:58 +0000

Hi Young, Lou,

I agree with the comment from Lou, it is always a good idea to have things defined in a single place and I believe that entire section 2 should be removed before submitting the draft to the IESG (if it will reach that point).
However cross-reading between multiple documents is often not easy and section 2, slightly modified, could be helpful to improve the reading of the draft.
My suggestion is to have section 2 updated as follows during the life cycle of the draft:

--- Updated Section 2 for WG draft ---
2. Routing and Wavelength Assignment Informational Model

[EDITOR NOTE: This section includes a copy-paste of key information models from [RFC7446] without any change to facilitate
   the reading of the document. The section will be removed during the WG last call and prior the submission to the IESG.

   The relevant information model in this document comprises

      - Connectivity Matrix Model (Section 2.1)
      - Resource Pool Model (Section 2.2)
      - Port Wavelength Restriction (Section 2.3)
      - Wavelength Availability on Links (Section 2.4)

   [Editor's Note: This version covers the corresponding YANG data model for the
   first two sections (Sections 2.1 and 2.2) and leaves the YANG model for Sections
   2.3 and 2.4 in the later version.]
---

On the other hand, if any change is proposed with respect to RFC7446 it should be described in this section.
Would this work for you?

BR
Daniele

> From: Leeyoung [mailto:[email-masked]]
> Sent: lunedì 14 marzo 2016 17:30
> To: Lou Berger; Daniele Ceccarelli; CCAMP ([email-masked])
> Subject: RE: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04
> 
> Hi Lou,
> 
>     As part of WG acceptance I think there is one important change needed.  I
> think the repetition of and apparent definition of new
> While I'd prefer to see this change before WG adoption, i.e., in a -05 rev of
> the individual document, I think it's okay to have it in the -01 WG document.
> With this change (or commitment to make this change) I support WG
> adoption, without it I do not support WG adoption.
> 
> On to details:
> 
> The document says
> 
> I think it does the opposite.  All now have to spend time going back and forth
> between this document and the RFC to figure out what if anything has
> change.  -- And this is at the heart of my objection as I'm not sure if there has
> been any change to the *information* model from the RFC.
> 
> It's far better to simply say this document uses specific information model
> elements defined in RFC7446.  (Consider if we always followed this approach,
> we'd  repeat definition of OSPF,  OSPF-TE, etc. for every TE routing
> extension!)
> 
> Lou
>

---

From: Lou Berger <[email-masked]>
Date: Wed, 16 Mar 2016 08:21:32 -0400

I remain opposed to wg adoption with the ambiguously redundant text.
It's just a bad idea and a bad precedent. Again, do we really want to
include all base definitions (without full references!) in extension
documents?

While I'm opposed in principle, I'm particularly opposed in this case,
as it's completely unclear from the text if there any changes to the RFC
published definitions.

Young has already agreed to remove the ambiguous text (see his response
below).  To me the open question is if the change is made in
<individual>-05 or <wg>-01.

IMO it should be in -05 but, of course, I'd defer to the WG if they
prefer to see it in -01.

Lou

On March 16, 2016 6:51:25 AM Daniele Ceccarelli
<[email-masked]> wrote:

> Hi Young, Lou,
>
> I agree with the comment from Lou, it is always a good idea to have things 
> defined in a single place and I believe that entire section 2 should be 
> removed before submitting the draft to the IESG (if it will reach that point).
> However cross-reading between multiple documents is often not easy and 
> section 2, slightly modified, could be helpful to improve the reading of 
> the draft.
> [EDITOR NOTE: This section includes a copy-paste of key information models 
> from [RFC7446] without any change to facilitate
>    the reading of the document. The section will be removed during the WG last 
>    call and prior the submission to the IESG.
>

---

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 16 Mar 2016 12:49:19 +0000

Lou,

The text I was proposing should have resolved any ambiguity as it added the right reference and stated that no change was applied. I'm not against having some editor notes during the work in progress if they help somehow.
That said, I can live also without that and have no problem in removing the section entirely. Maybe we can just leave the reference and an editor note saying that in this version only the Connectivity Matrix and Resource Pool are addressed.

BR
Daniele

> Sent: mercoledì 16 marzo 2016 13:22
> To: Daniele Ceccarelli; Leeyoung; CCAMP ([email-masked])
> It's just a bad idea and a bad precedent. Again, do we really want to include
> all base definitions (without full references!) in extension documents?
> 
> While I'm opposed in principle, I'm particularly opposed in this case, as it's
> completely unclear from the text if there any changes to the RFC published
> definitions.
> 
> IMO it should be in -05 but, of course, I'd defer to the WG if they prefer to
> see it in -01.
> 
> Lou
> 
> > I agree with the comment from Lou, it is always a good idea to have
> > things defined in a single place and I believe that entire section 2
> > should be removed before submitting the draft to the IESG (if it will reach
> that point).
> > section 2, slightly modified, could be helpful to improve the reading
> > of the draft.
> > --- Updated Section 2 for WG draft --- 2. Routing and Wavelength
> > Assignment Informational Model
> >
> > [EDITOR NOTE: This section includes a copy-paste of key information
> > models from [RFC7446] without any change to facilitate
> >> While I'd prefer to see this change before WG adoption, i.e., in a
> >> -05 rev of the individual document, I think it's okay to have it in the -01
> WG document.
> >> I think it does the opposite.  All now have to spend time going back
> >> and forth between this document and the RFC to figure out what if
> >> anything has change.  -- And this is at the heart of my objection as
> >> I'm not sure if there has been any change to the *information* model
> >> from the RFC.
> >>
> >> model elements defined in RFC7446.  (Consider if we always followed
> >> this approach, we'd  repeat definition of OSPF,  OSPF-TE, etc. for
> >> every TE routing
> >> extension!)
> >>
> >> Lou
> >>
> >> > We have the IPR declaration replies from all the authors (thanks!)
> >> > and we can start the adoption procedure for our first YANG draft.
> >> >
> >> >
> >> >
> >> > Please send email to the list indicating "yes/support" or "no/do
> >> > not support" and a motivation for  your reply, mandatory for the
> >> > "not support" and nice to have for the "support".
> >> >
> >> >
> >> >
> >> > (https://datatracker.ietf.org/doc/draft-lee-ccamp-wson-yang/history
> >> > /) and that no IPR was disclosed against this document.
> >> >
> >> >
> >> >

---

From: OSCAR GONZALEZ DE DIOS <[email-masked]>
Date: Wed, 16 Mar 2016 14:57:50 +0000

Yes, support

Best Regards,

Óscar

De: CCAMP <[email-masked]<mailto:[email-masked]>> on behalf of Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>
Fecha: lunes, 7 de marzo de 2016, 16:06
Para: CCAMP <[email-masked]<mailto:[email-masked]>>
CC: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Asunto: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04

Working group,

Thanks
Daniele & Fatai

---

From: "King, Daniel" <[email-masked]>
Date: Wed, 16 Mar 2016 15:07:50 +0000

Yes, support. Let me count the ways:

- Author/Contributor to the work
- Would like to develop YANG-based management tools for WSON

BR, Dan.

From: OSCAR GONZALEZ DE DIOS [mailto:[email-masked]]
Sent: 16 March 2016 19:58
To: Daniele Ceccarelli <[email-masked]>; CCAMP ([email-masked]) <[email-masked]>
Cc: [email-masked]
Subject: Re: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04

Yes, support

Best Regards,

Óscar

Working group,

Thanks
Daniele & Fatai

---

From: Fatai Zhang <[email-masked]>
Date: Thu, 17 Mar 2016 01:20:02 +0000

Hi Lou,

I think it can be done in <wg> 01 as agreed by Young (since it is not a big technical issue, just removing the ambiguous text) . 

Best Regards

Fatai

-----Original Message-----
From: CCAMP [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: Wednesday, March 16, 2016 8:22 PM
To: Daniele Ceccarelli; Leeyoung; CCAMP ([email-masked])
Cc: [email-masked]
Subject: Re: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04

Lou

---

From: Lou Berger <[email-masked]>
Date: Thu, 17 Mar 2016 09:24:10 -0400

Hi Fatai,

As long as dropping all information model definitions is done
immediately, i.e. -01 is issued basically at the same time as -01 (days
not weeks), I think this is fine.  If some definitions are actually
needed because they are new/changed -- which should not be the case, per
Young -- then I think the change needs to be done now as they actually
belong in an independent document.

Thanks,
Lou

---

From: Leeyoung <[email-masked]>
Date: Thu, 17 Mar 2016 16:14:00 +0000

This works for me. Will do per Lou's suggestion in 01 (wg) draft as soon as the draft is adopted. 

Thanks.
Young

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Thursday, March 17, 2016 8:24 AM
To: Fatai Zhang; Daniele Ceccarelli; Leeyoung; CCAMP ([email-masked])
Cc: [email-masked]
Subject: Re: [CCAMP] WG adoption poll on draft-lee-ccamp-wson-yang-04

Hi Fatai,

As long as dropping all information model definitions is done immediately, i.e. -01 is issued basically at the same time as -01 (days not weeks), I think this is fine.  If some definitions are actually needed because they are new/changed -- which should not be the case, per Young -- then I think the change needs to be done now as they actually belong in an independent document.

Thanks,
Lou

On 3/16/2016 9:20 PM, Fatai Zhang wrote:
> as it's completely unclear from the text if there any changes to the 
> RFC published definitions.
>
> Young has already agreed to remove the ambiguous text (see his 
> response below).  To me the open question is if the change is made in
>> should be removed before submitting the draft to the IESG (if it will reach that point).
>> However cross-reading between multiple documents is often not easy 
>> and section 2, slightly modified, could be helpful to improve the 
>> reading of the draft.
>>> -05 rev of the individual document, I think it's okay to have it in the -01 WG document.
>>> It's far better to simply say this document uses specific 
>>> information model elements defined in RFC7446.  (Consider if we 
>>> always followed this approach, we'd  repeat definition of OSPF,  
>>> OSPF-TE, etc. for every TE routing
>>> extension!)
>>>
>>> Lou
>>>

---

From: Lou Berger <[email-masked]>
Date: Thu, 17 Mar 2016 12:20:06 -0400

Works for me. 

Thanks.

Lou

---

From: Daniele Ceccarelli <[email-masked]>
Date: Mon, 21 Mar 2016 23:53:57 +0000

Working group,

This poll is now closed. The draft is adopted as CCAMP WG document.

Authors, please submit the draft as: draft-ietf-ccamp-wson-yang-00 (no other change) and at your earliest convenience please implement the changes requested during the WG adoption in the following version: draft-ietf-ccamp-wson-yang-01.

Thanks
Daniele & Fatai

Sent: lunedì 7 marzo 2016 16:06

Working group,

Thanks
Daniele & Fatai

---

From: Fatai Zhang <[email-masked]>
Date: Tue, 22 Mar 2016 03:49:12 +0000

Hi authors,

Please correct the editorial errors and replace M.XXXX with the correct number in WG 01 once it is adopted.

consideres ->Considered
Oprical ->Optical
s hort -> short
Cleint -> Client

=================================================================================================
The network can be consideres as a black link, that is a set of preconfigured/
qualified unidirectional, single-fiber, network
connections between the G.698.2 reference points S and R. The
optical transport network is managed and controlled in order to
provide Oprical Connections at the intended centre frequencies and
the optical interfaces are managed and controlled to generate signals
of the intended centre frequencies and further parameters as
specified in ITU-T Recommendations G.698.2 and G.798. The Management
or Control planes of the Client and DWDM network must know the
parameters of the Interfaces to properly set the optical link.

Black Link Deployments
In case of a Black Link deployment as shown in Figure 2, through the
use of the single channel DWDM interfaces defined in [ITU.G698.2],
multi-vendor interconnection can also be achieved while removing the
need for one s hort reach transmitter and receiver pair per channel
(eliminating the transponders).

The second step is to setup the connection between the Cleint DWDM
interface and the ROADM port.

Note that a software update of the optical interface components of
the client nodes must not lead obligatory to an update of the
software of the EMS and vice versa.

The second step is to setup the connection between the Cleint DWDM
interface and the ROADM port.

These measurements are carried out in accordance with ITU-T Recommendation
M.xxxx.

Best Regards

Fatai

Sent: Monday, March 14, 2016 11:37 AM

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: <[email-masked]>
Date: Tue, 22 Mar 2016 08:38:33 +0000

Hi Fatai,
Thank you for the review.
We have a new version 01 ready addressing  your editorial comments.

Br,
Rüdiger

Von: Fatai Zhang [mailto:[email-masked]]
Gesendet: Dienstag, 22. März 2016 04:49
An: CCAMP ([email-masked])
Cc: [email-masked]
Betreff: RE: [CCAMP] WG adoption poll on draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk

Hi authors,

consideres ->Considered
Oprical ->Optical
s hort -> short
Cleint -> Client

Black Link Deployments

Best Regards

Fatai

Hi CCAMPers,

Thanks

Daniele & Fatai

---

From: Fatai Zhang <[email-masked]>
Date: Mon, 28 Mar 2016 08:04:11 +0000

Hi all,

This poll is done and this draft is adopted.

Authors,

Please republish the draft as: draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk-00 with the ONLY change being the name and date.

Please publish any changes resulting from points raised during adoption starting with revision -01.

Thanks
Daniele & Fatai

发件人: CCAMP [mailto:[email-masked]] 代表 Fatai Zhang
发送时间: 2016年3月14日 11:37
收件人: CCAMP ([email-masked])
抄送: [email-masked]
主题: [CCAMP] WG adoption poll on draft-kdkgall-ccamp-dwdm-if-mng-ctrl-fwk

Hi CCAMPers,

Thanks

Daniele & Fatai